lesspipe: unary operator expected

Discussion in 'ISPConfig 3 Priority Support' started by aldo, Dec 26, 2014.

  1. aldo

    aldo Member HowtoForge Supporter

    A jailed shell-user created with ISPConfig3 can no longer operate.

    After login the user gets this error:
    /usr/bin/lesspipe: line 262: [: =: unary operator expected

    trying to execute some commands like "ls" he gets:
    Segmentation fault

    Other similar users and root continue to operate normally.
    I tried to delete and recreate the problematic user without success.

    Any help would be appreciated.

    Debian 7 - ISPConfig

    (( Happy New Year to all ))
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. aldo

    aldo Member HowtoForge Supporter

    Thank you Till.
    jk_update solved.

    Having added manually php to /usr/bin
    I also had to force (-f) the copy of php with:
    /usr/sbin/jk_cp -k -f -j /var/www/clients/clientX/webX /usr/bin/php
    in order to see it working again.

Share This Page